<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Auth extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model('fun');
	}

	public function index()
	{
	}

	public function register()
	{
		$this->load->helper(array('form', 'url'));
		$this->load->library('form_validation');
$this->form_validation->set_rules('username', 'Username', 'trim|required|min_length[5]|max_length[12]|xss_clean|is_unique[booksdb.book.title]');
$this->form_validation->set_rules('password', 'Password', 'trim|required|matches[passconf]');
$this->form_validation->set_rules('passconf', 'Password Confirmation', 'trim|required');
$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');

		if ($this->form_validation->run() == FALSE)
			$this->load->view('register_form');
		else
			$this->load->view('form_success');
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */
